VERSION 5.00
Begin VB.Form Form1 
   Caption         =   "Mutex Testsuite"
   ClientHeight    =   1965
   ClientLeft      =   60
   ClientTop       =   345
   ClientWidth     =   5055
   LinkTopic       =   "Form1"
   ScaleHeight     =   1965
   ScaleWidth      =   5055
   StartUpPosition =   3  'Windows-Standard
   Begin VB.CommandButton Command7 
      Caption         =   "benannten Mutex ffnen"
      Height          =   495
      Left            =   1680
      TabIndex        =   6
      Top             =   1440
      Width           =   1695
   End
   Begin VB.CommandButton Command6 
      Caption         =   "benannten Mutex erstellen"
      Height          =   495
      Left            =   0
      TabIndex        =   5
      Top             =   1440
      Width           =   1695
   End
   Begin VB.CommandButton Command4 
      Caption         =   "Mutex fr andere Threads freigeben"
      Height          =   495
      Left            =   3360
      TabIndex        =   3
      Top             =   720
      Width           =   1695
   End
   Begin VB.CommandButton Command5 
      Caption         =   "Mutex mit Timeout in Besitz nehmen"
      Height          =   495
      Left            =   1680
      TabIndex        =   4
      Top             =   720
      Width           =   1695
   End
   Begin VB.CommandButton Command3 
      Caption         =   "Mutex in Besitz nehmen"
      Height          =   495
      Left            =   0
      TabIndex        =   2
      Top             =   720
      Width           =   1695
   End
   Begin VB.CommandButton Command2 
      Caption         =   "Mutexstatus"
      Height          =   495
      Left            =   1200
      TabIndex        =   1
      Top             =   0
      Width           =   1215
   End
   Begin VB.CommandButton Command1 
      Caption         =   "Mutexhandle"
      Height          =   495
      Left            =   0
      TabIndex        =   0
      Top             =   0
      Width           =   1215
   End
End
Attribute VB_Name = "Form1"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit

Dim WithEvents nMutex As Mutex
Attribute nMutex.VB_VarHelpID = -1

Private Sub Command1_Click()
Call MsgBox("Der Handle des Mutex ist " & nMutex.MutexHandle, vbOKOnly + vbInformation, "Mutexinformation")
nMutex
End Sub

Private Sub Command2_Click()
If nMutex.isLocked Then
    Call MsgBox("Der Mutex befindet sich z.Z. unter der Kontrolle dieses Programmes", vbInformation + vbOKOnly, "Mutexinformation")
Else
    Call MsgBox("Der Mutex befindet sich z.Z. NICHT unter der Kontrolle dieses Programmes", vbInformation + vbOKOnly, "Mutexinformation")
End If
End Sub

Private Sub Command3_Click()
nMutex.MutexLock
End Sub

Private Sub Command4_Click()
nMutex.MutexUnlock
End Sub

Private Sub Command5_Click()
Dim ms As Long
ms = CLng(InputBox("Bitte geben Sie das Timeout[Millisekunden] an:", "Mutex-Timeout-Abfrage", "0"))
If ms < 0 Then ms = 0
Call nMutex.MutexLockMs(ms)
End Sub

Private Sub Command6_Click()
Dim Name As String
Name = InputBox("Bitte geben sie den Namen des benannten Mutex ein:", "Name des zu erstellenden Mutex", App.ProductName)
If Len(Name) = 0 Then Exit Sub
Call nMutex.InitNamedMutex(Name, False)
End Sub

Private Sub Command7_Click()
Dim Name As String
Name = InputBox("Bitte geben sie den Namen des benannten Mutex ein:", "Name des zu erstellenden Mutex", App.ProductName)
If Len(Name) = 0 Then Exit Sub
Call nMutex.OpenExistingMutex(Name)
End Sub

Private Sub Form_Initialize()
Set nMutex = New Mutex
End Sub
Private Sub nMutex_Error(ByVal MutexError As Long, ByVal Description As String)
Call MsgBox(MutexError & ":" & vbNewLine & Description, vbExclamation, "Mutexerror")
End Sub
